Bug 201287 - Crash during hibernate
Crash during hibernate
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://adslpipe.co.uk/pics/suspendcra...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-03 22:01 EDT by Andy Burns
Modified: 2015-01-04 17:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 20:41:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg showing boot with lockdep errors (36.24 KB, text/plain)
2006-08-03 22:01 EDT, Andy Burns
no flags Details
dmesg (26.37 KB, text/plain)
2006-10-01 15:43 EDT, Peter Eriksen
no flags Details
lspci (1.98 KB, text/plain)
2006-10-01 15:44 EDT, Peter Eriksen
no flags Details
hibernate back trace (6.03 KB, text/plain)
2006-10-01 15:46 EDT, Peter Eriksen
no flags Details

  None (edit)
Description Andy Burns 2006-08-03 22:01:24 EDT
Description of problem:
One off (?) crash during hibernate running rawhide on Dell Latitude D800.

Version-Release number of selected component (if applicable):
2.6.17-1.2505.fc6

How reproducible:
Only once so far

Steps to Reproduce:
1. Machine running, gnome power manegment set for hibernate on close lid
2. close lid
  
Actual results:
Machine apparently (from disk activity) starts to hibernate, but eventually I
realised it hasn't powered down, and re-opened lid to see the "leftover inexact
backtrace" on screen, see http://adslpipe.co.uk/pics/suspendcrasher.jpg

Expected results:
Hibernate/resume ok on lid closed.

Additional info:
As a rule this machine hibernates and resumes ok.
It actually suspends ok too, but when resuming the display remains blanked and
machine has to be driven blind, tried acpi_sleep=s3_bios,s3_mode but this didn't
help on this machine :-(

There are a few lockdep errors shown by during bootup, dmesg attached
Comment 1 Andy Burns 2006-08-03 22:01:24 EDT
Created attachment 133607 [details]
dmesg showing boot with lockdep errors
Comment 2 Andy Burns 2006-08-03 22:23:03 EDT
Just forced another hibernate and it worked ok, so certainly not reproducible at
will. Adding selective information from /var/log/messages leading up to crash

Aug  4 01:02:38 andylaptop gnome-power-manager: Hibernating computer because the
lid has been closed on ac power
Aug  4 01:02:38 andylaptop NetworkManager: <information>        Going to sleep. 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804):  2f c6 08 11 0a a7 98 d6 3b 0c d5 39 54 f7 31 a0 c7 8a 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: decrypted EAPOL-Key key data - hexdump(len=24):
[REMOVED] 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): State: COMPLETED -> GROUP_HANDSHAKE 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: RX message 1 of Group Key Handshake from
00:12:17:df:32:f9 (ver=2
) 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): RSN: msg 1/2 key data - hexdump(len=24): dd 16 00 0f ac 01
01 00 2a cf
 92 fb 25 c9 00 0f 20 50 25 7c 05 0d bb 74 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): RSN: received GTK in group key handshake -
hexdump(len=18): 01 00 2a c
f 92 fb 25 c9 00 0f 20 50 25 7c 05 0d bb 74 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: Group Key - hexdump(len=16): [REMOVED] 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: Installing GTK to the driver (keyidx=1 tx=0). 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: RSC - hexdump(len=6): 00 00 00 00 00 00 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): wpa_driver_wext_set_key: alg=3 key_idx=1 set_tx=0
seq_len=6 key_len=16
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: Sending EAPOL-Key 2/2 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): 0 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(2804): WPA: Group rekeying completed with 00:12:17:df:32:f9
[GTK=CCMP] 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1): CTRL_IFACE monitor send - hexdump(len=42): 2f 76 61 72 2f 72
75 6e 2f 4e
 65 74 77 6f 72 6b 4d 61 6e 61 67 65 72 2f 77 70 61 5f 63 74 72 6c 5f 32 34 39
31 2d 31 00 00 00 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1): State: GROUP_HANDSHAKE -> COMPLETED 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1): RX EAPOL from 00:12:17:df:32:f9 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1): RX EAPOL - hexdump(len=131): 02 03 00 7f 02 13 82 00 00 00
00 00 00 00 0
0 00 03 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 db 4b 7f 71 71 5a c6 6a c1 fe 45 90 6d f0 5f 4b 00 0
0 00 00 00 00 00 00 00 00 00 00 00 00 00 00 9e 13 03 45 5d ce 3c 8d 6b 8e 31 c7
79 9a b9 38 00 20 ef d1 45 8f 3f c3 f7 64 93 05 77 4c ff 67 98 19 aa c0 3b 2
f fe 62 88 0f 0d 24 c4 bd af 90 2b e4 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1): IEEE 802.1X RX: version=2 type=3 length=127 
Aug  4 01:02:40 andylaptop NetworkManager: <information>       
wpa_supplicant(-1):   EAPOL-Key type=2 
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Interface eth1.IPv6 no longer
relevant for mDNS.
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Leaving mDNS multicast group on
interface eth1.IPv6 with address fe80::20e:35ff:fee9:dab4.
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Interface eth1.IPv4 no longer
relevant for mDNS.
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Leaving mDNS multicast group on
interface eth1.IPv4 with address 192.168.1.101.
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Withdrawing address record for
fe80::20e:35ff:fee9:dab4 on eth1.
Aug  4 01:02:40 andylaptop dhclient: DHCPRELEASE on eth1 to 192.168.1.1 port 67
Aug  4 01:02:40 andylaptop avahi-daemon[2384]: Withdrawing address record for
192.168.1.101 on eth1.
Aug  4 01:02:40 andylaptop dhclient: send_packet: Network is unreachable
Aug  4 01:02:40 andylaptop dhclient: send_packet: please consult README file
regarding broadcast address.
Aug  4 01:02:41 andylaptop named[2481]: D-BUS: dhclient for interface eth1
released lease - removing forwarders.
Aug  4 01:02:47 andylaptop kernel: audit(1154649767.418:12): avc:  denied  {
write } for  pid=13702 comm="grub" name="stage2" dev=hda2 ino=14119 scontext=sy
stem_u:system_r:bootloader_t:s0 tcontext=system_u:object_r:boot_runtime_t:s0
tclass=file
Aug  4 01:02:50 andylaptop hidd[2185]: Exit
Aug  4 01:02:51 andylaptop sdpd[2137]: terminating...   
Aug  4 01:02:51 andylaptop hcid[2133]: Exit.
Aug  4 01:02:52 andylaptop ntpd[2270]: ntpd exiting on signal 15
Aug  4 01:02:56 andylaptop kernel: Lukewarm IQ detected in hotplug locking

Also noticed this section regarding bluetooth hidd (I do have bluetooth mouse
apparently functioning OK, but something looks unhappy behind the scenes)

Aug  4 02:38:13 andylaptop kernel: =============================================
Aug  4 02:38:13 andylaptop kernel: [ INFO: possible recursive locking detected ]
Aug  4 02:38:13 andylaptop kernel: ---------------------------------------------
Aug  4 02:38:13 andylaptop kernel: hidd/2216 is trying to acquire lock:
Aug  4 02:38:13 andylaptop kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8a4623e>] bt_accept_dequeue+0x23/0xb3 [bluetooth]
Aug  4 02:38:13 andylaptop kernel: 
Aug  4 02:38:13 andylaptop kernel: but task is already holding lock:
Aug  4 02:38:13 andylaptop kernel:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8c2c088>] l2cap_sock_accept+0x41/0x11e [l2cap]
Aug  4 02:38:13 andylaptop kernel: 
Aug  4 02:38:13 andylaptop kernel: other info that might help us debug this:
Aug  4 02:38:13 andylaptop kernel: 1 lock held by hidd/2216:
Aug  4 02:38:13 andylaptop kernel:  #0:  (sk_lock-AF_BLUETOOTH){--..}, at:
[<f8c2c088>] l2cap_sock_accept+0x41/0x11e [l2cap]
Aug  4 02:38:13 andylaptop kernel: 
Aug  4 02:38:13 andylaptop kernel: stack backtrace:
Aug  4 02:38:13 andylaptop kernel:  [<c04051ee>] show_trace_log_lvl+0x58/0x159
Aug  4 02:38:13 andylaptop kernel:  [<c04057ea>] show_trace+0xd/0x10
Aug  4 02:38:13 andylaptop kernel:  [<c0405903>] dump_stack+0x19/0x1b
Aug  4 02:38:13 andylaptop kernel:  [<c043b846>] __lock_acquire+0x773/0x997
Aug  4 02:38:13 andylaptop kernel:  [<c043bfdb>] lock_acquire+0x4b/0x6c
Aug  4 02:38:13 andylaptop kernel:  [<c05aa6ab>] lock_sock+0xac/0xbc
Aug  4 02:38:13 andylaptop kernel:  [<f8a4623e>] bt_accept_dequeue+0x23/0xb3
[bluetooth]
Aug  4 02:38:13 andylaptop kernel:  [<f8c2c129>] l2cap_sock_accept+0xe2/0x11e
[l2cap]
Aug  4 02:38:13 andylaptop kernel:  [<c05a9a9f>] sys_accept+0xd8/0x179
Aug  4 02:38:13 andylaptop kernel:  [<c05a9be7>] sys_socketcall+0xa7/0x186
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: response
was 'OK' 
Aug  4 02:38:13 andylaptop kernel:  [<c0403faf>] syscall_call+0x7/0xb
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: sending
command 'AP_SCAN 1' 
Aug  4 02:38:13 andylaptop kernel: DWARF2 unwinder stuck at syscall_call+0x7/0xb
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: response
was 'OK' 
Aug  4 02:38:13 andylaptop kernel: Leftover inexact backtrace:
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: sending
command 'ADD_NETWORK' 
Aug  4 02:38:13 andylaptop kernel:  [<c04057ea>] show_trace+0xd/0x10
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: response
was '0' 
Aug  4 02:38:13 andylaptop kernel:  [<c0405903>] dump_stack+0x19/0x1b
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: sending
command 'SET_NETWORK 0 ssid 4a4142484f4d45' 
Aug  4 02:38:13 andylaptop kernel:  [<c043b846>] __lock_acquire+0x773/0x997
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: response
was 'OK' 
Aug  4 02:38:13 andylaptop kernel:  [<c043bfdb>] lock_acquire+0x4b/0x6c
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: sending
command 'SET_NETWORK 0 proto WPA2' 
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: response
was 'OK' 
Aug  4 02:38:13 andylaptop NetworkManager: <information>        SUP: sending
command 'SET_NETWORK 0 key_mgmt WPA-PSK' 
Aug  4 02:38:13 andylaptop kernel:  [<c05aa6ab>] lock_sock+0xac/0xbc
Aug  4 02:38:13 andylaptop kernel:  [<f8a4623e>] bt_accept_dequeue+0x23/0xb3
[bluetooth]
Aug  4 02:38:13 andylaptop kernel:  [<f8c2c129>] l2cap_sock_accept+0xe2/0x11e
[l2cap]
Aug  4 02:38:13 andylaptop kernel:  [<c05a9a9f>] sys_accept+0xd8/0x179
Aug  4 02:38:13 andylaptop kernel:  [<c05a9be7>] sys_socketcall+0xa7/0x186
Aug  4 02:38:13 andylaptop kernel:  [<c0403faf>] syscall_call+0x7/0xb
Aug  4 02:38:13 andylaptop kernel: input: Bluetooth HID Boot Protocol Device as
/class/input/input4


Comment 3 Andy Burns 2006-08-04 00:07:59 EDT
ok, scratch the bit about not being reproducible, I just hibernated and got the
same again, and thinking about it I probably rebooted rather than hibernated the
previous time when I said it hibernated ok!

/me looks at clock and decides to sleep ...

Comment 4 Andy Burns 2006-08-04 08:45:29 EDT
Updated to today's rawhide, 
crash still happens with kernel 2.6.17-1.2517.fc6
Comment 5 Andy Burns 2006-08-05 18:52:38 EDT
Ditto 2.6.17-1.2527.fc6

Rather than keep reporting for each day's rawhide, I'll sit on it for a while
until I notice anything swsusp related in the kernel changelog, or someone gives
me a prod ...
Comment 6 Nigel Cunningham 2006-08-06 17:49:33 EDT
Thanks for the report. I'm intending to look into it this week.

Nigel
Comment 7 Nigel Cunningham 2006-08-15 00:53:45 EDT
How is your swapspace configured? In particular, do you have more than one swap
partition or swapfile? When you suspend, have you just done one swapon, or
perhaps something more complicated?
Comment 9 Andy Burns 2006-09-01 14:05:01 EDT
Oh, sorry for the delay, I thought I's answered this Q already,

swapspace is a single LVM partition, no manual swapon performed
will update to latest rawhide and try again.
Comment 10 Andy Burns 2006-09-03 17:44:37 EDT
Updated this laptop to current rawhide (kernel 2.6.17-1.2611.fc6) today,
pm-hibernate still behaves the same, begins the suspend process, but ends up
with a partial stack trace.

Swap details

# swapon -s
Filename                                Type            Size    Used    Priority
/dev/mapper/vg0-lv1                     partition       1048568 0       -1

Comment 11 Peter Eriksen 2006-10-01 15:41:38 EDT
I seem to be having the same problem with current Rawhide.  Attaching dmesg,
lspci, and stack trace.
Comment 12 Peter Eriksen 2006-10-01 15:43:36 EDT
Created attachment 137507 [details]
dmesg
Comment 13 Peter Eriksen 2006-10-01 15:44:50 EDT
Created attachment 137508 [details]
lspci
Comment 14 Peter Eriksen 2006-10-01 15:46:22 EDT
Created attachment 137509 [details]
hibernate back trace
Comment 15 Tony Tsui 2006-10-09 09:29:58 EDT
Hi,

This happens to me too. I'm using kernel 2.6.18-1.2726.fc6.

I have my swap on a LVM parition as well.

[tony@drifter ~] sudo swapon -s
Filename                                Type            Size    Used    Priority
/dev/mapper/VolGroup00-swap             partition       2097144 0       -1
Comment 16 Dave Jones 2006-10-11 20:41:56 EDT
kernel-2.6.18-1.2759.fc6 should fix this.
This bug report has started to degenerate into multiple different problems, so
if you are still experiencing problems with current rawhide ,please open new bug(s).

Thanks.

Note You need to log in before you can comment on or make changes to this bug.